% Input:
% s: function handle (support function)
% d: integer (number of dimensions)

% Output:
% result: function handle (support function of a symmetric box)
% e: vector, from s(l) = e * abs(l)

% Description:
% Generates a symmetric (with regard to the origin) box arround s

function [result,e] = boxoperator(s, d)

L = vectorgenerator(d);
e = zeros(d,1);
for i=1:2:2*d
        e((i+1)/2) = max(s(L(i,:)'),s(L(i+1,:)'));
end;

result = @(l) e'*abs(l);